Skip to main content

Fetch pending invitations

POST /api/v1/pending_invites

This API retrieves the details of pending LinkedIn connection requests, including the name of the users who have sent the invitations and status.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.

Sample Request​

{
"accountId": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
totalnumberTotal number of items.
dataarray[]Array of result items.

Sample Response​

{
"status": "string",
"requestId": "string",
"result": {
"total": 0,
"data": [
{
"full_name": "string",
"first_name": "string",
"last_name": "string",
"public_identifier": "string",
"profile_id": "string",
"image": "string",
"title": "string",
"company": "string",
"time": 0,
"invite_id": "string"
}
]
}
}
POST/api/v1/pending_invites
x-api-key
x-api-secret